What FloMonster Does

FloMonster is a free Manning's "hydraulic wheel," calculating normal flow information, capacities and surcharge information. Calculations can be saved to a spreadsheet-ready tab-delimited text file. FloMonster is designed to provide an easy means to automate the iteration required to find normal depth in pipes.


What FloMonster Does NOT Do

Among other things, FloMonster does not replace normal design calculation checks and quality control procedures. All numbers generated by FloMonster should be verified against a certified program or spreadsheet, such as Intergraph/Bentley's Storm&Sanitary before incorporation into a design.

Use of this program is at the user's own risk.


Normal Flow Calculations

Required Input

AutoCalculation

Additional Calculations


Required Input

In order to calculate normal flow the following information must be known: Pipe Size; Slope; Flowrate and Roughness.

Upon invoking FloMonster, defaults are shown for Manning's roughness (n), and units for diameter, slope and flowrate. N can be changed by typing in a different value. Units can be changed by selecting the appropriate listbox and picking a different unit.

Values for Diameter, Slope and Flowrate are entered by keying them in the appropriate fields.


AutoCalculation

Upon changing any of the editable fields (keyins and listboxes), FloMonster reads the field and performs allowable calculations. By doing this automatically instead of requiring a separate "Calculate" button to be pushed, all the values shown are always synchronized


Additional Calculations

Capacity and Velocity values are also calculated and displayed for full flow and the milestone depth to height ratios of 0.5, 0.75, and 0.93.

In addition to normal flow, values are displayed for full flow and whether this would occur due to surcharging or tailwater conditions.


Enabling Calculation Logging

In the "Calculation Log File"frame,

clicking the "Enable Logging…" command button enables the calculation logging functions, invoking the sizeable FloMonster Calculations Results Form

and enabling the LoggingControls.

The Results form is sizeable (so you can get it out of your way) and editable. Make your edits right there in the screen.


Logging Controls

When the Results Window is activated, the Logging Controls are enabled.

There are two modes to writing calculations to the Results Window for saving to a file: Now and Always.

When the "Always" checkbox is checked, every calculation is sent to the Results window. This option will probably generate more information than you want since a line is sent to the Results form upon every changed value. For example, if your next pipe has a different diameter, slope, and flowrate, you'll get a calculation sent to the results window three times (each time a value is changed).

The "Now" button writes information to the Results Window ONLY upon a click of that button. A Pipe Name can be entered as an option. Hitting the "Enter" key while in the "Pipe Name" field is equivalent to hitting the "Now" button.

The "Now" button can be hit while the "Always" is active.


Saving Results to a File

To save the contents of the Result window to a file, click the "Save As" button. This invokes the standard Windows Save As dialog box. By default the file is saved in the c:\temp directory as a tab-delimited text file (*.txt). This is easily imported into a spreadsheet for further manipulation, checking or sorting.

The text in the form is editable. Saving the results will save whatever is visible in the window.

To clear the Results window, click the "Clear" button.

Note: the Results window, Windows NotePad, and spreadsheets do not necessarily use the same ASCII code for a carriage return <CR>. Notepad tends to put an odd character instead of starting a new line. WordProcessors and spreadsheets tend not to have problems with this.